
Redmine - Defect #10760

Time logging via commit message - does not work

2012-04-24 21:24 - Ivan Cenov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.4.1

Description

Redmine trunk r9523

Ruby 1.8.7

Rails 2.3.14

"Enable time logging" = on

It seems that time logging via commit messages does not work (at least in my test installation).

I tried with

RTC #31 @1h10

and

RT #31 @1h15

Trying to log via commit message

(RT and RTC are my trigger keywords that are configured in Settings.Repositories.)    

These commit messages appear "Associated revisions" in the issue (in my case #31), so it is clear that relations between the issue

and the revisions had been created. No time log records are added though.

Time log created interactively in Redmine are recorded.

History

#1 - 2012-04-24 21:27 - Ivan Cenov

P.S.

Plugins:

Projects Tree View plugin

Redmine Banner plugin

Redmine Embedded Video

Redmine Issue Templates plugin

Redmine Light Box plugin

List duplicate views plugin

Redmine Local Avatars plugin

Redmine Theme Changer plugin

Redmine Wiki Gchart LaTeX-style Formula plugin

Redmine Wiki Notes plugin

Issues XLS export

Redmine Youtube wiki macro plugin

WikiNG

#2 - 2012-04-24 21:34 - Ivan Cenov

P.P.S.

Here is the log when accessing the repository to fetch the changesets.
https://www.redmine.org/projects/redmine/repository/svn/revisions/9523
https://www.redmine.org/issues/31


Processing RepositoriesController#show (for 192.168.2.100 at 2012-04-24 22:32:09) [GET]

  Parameters: {"action"=>"show", "id"=>"first", "controller"=>"repositories"}

TimeEntry could not be created by changeset 30: User can't be blankActivity can't be blank

Rendering template within layouts/base

Rendering repositories/show

Completed in 1922ms (View: 609, DB: 47) | 200 OK [http://walker/projects/first/repository]

TimeEntry could not be created by changeset 30: User can't be blank Activity can't be blank

#3 - 2012-04-25 18:41 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

User can't be blank

The committer is unknown because you're not using the same usernames in your scm and in Redmine. You have to do the mapping in Project

settings -> Repositories -> [Your repository] -> Users.

Activity can't be blank

You have to set a default time tracking activity (Administration -> Enumerations) or choose one that will be used when logging time via commit

messages (Administrations -> Settings -> Repositories).

Hope this helps.
